select#dealer_data, 
select#select-month, 
select#select-year, 
select#from-month, 
select#from-year, 
select#to-month, 
select#to-year, 
input#bonus-earning,
input#new-dealer-current-year,
input#new-dealer-previous-year,
input#visitor-national-web-ny,
input#visitor-dealer-pages-ny{
    margin-left: 10px;
    margin-right: 10px;
    padding: 10px;
}

.start-end-label {
    margin-bottom: 5px;
    font-weight: bold;
    display: inline-block;
    margin-right: 10px;
    font-size: 16px;
}

#charts-container-hidden {
    position: fixed; top: -9999px; left: -9999px;
}

#loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.spinner {
    border: 8px solid #f3f3f3;
    border-top: 8px solid #e7131a;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 2s linear infinite;
}

#loading-overlay {flex-direction:column}
#loading-overlay p {
    margin-top: 10px;
    color: white;
    max-width: 300px;
    text-align: center;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}


form.admin-frontend-tools button, 
.bonus-earning-wrapper form button,
#admin-data-pdf form button{
    background: #e7131a;
    min-width: 80px;
    justify-content: center;
    padding: 10px 20px;
    border: none;
    color: #fff;
    margin-bottom: 20px;
    float: right;
    margin-right: 50px;
}

#generatePDF {
    background: grey;
    min-width: 80px;
    padding: 10px 20px;
    border: none;
    color: #fff;
    float: right;
}

#generatePDF.ready {
    background: #e7131a;
}

/* Stats Card */
.stats-card {
    background: white;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
    width: 350px;
    text-align: center;
}

/* Header */
.stats-card h2 {
    font-size: 22px;
    margin-bottom: 20px;
    color: #333;
}

/* Grid Layout */
.stats-grid {
    display: grid;
    gap: 10px;
}

/* Stat Block */
.stat {
    display: flex;
    justify-content: space-between;
    background: #f9f9f9;
    padding: 10px;
    border-radius: 6px;
    font-size: 16px;
    align-items: baseline;
}

/* Labels & Values */
.label {
    font-weight: bold;
    color: #555;
}

.value {
    color: #222;
}

/* Google Rating Styling */
.rating {
    color: #ff9800;
    font-weight: bold;
}

.admin-frontend-tools-wrapper,
.bonus-earning-wrapper,
.admin-data-pdf-wrapper{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
}

.admin-frontend-tools-wrapper form.admin-frontend-tools,
.admin-frontend-tools-wrapper .stats-card
{
    width: 50%;
}

.bonus-earning-wrapper div#bonus-form,
.bonus-earning-wrapper .stats-card{
    width: 50%;
}

.admin-data-pdf-wrapper div#admin-data-pdf,
.admin-data-pdf-wrapper .stats-card{
    width: 50%;
}

.menu-item-has-children:hover .sub-menu {
    width: 240px;
}
.menu-item-has-children .sub-menu li a {
    align-items: flex-start;
    text-align: left;
    line-height: 1;
}